LWJGL Forum

Programming => LWJGL Documentation => Topic started by: markus on May 21, 2018, 22:23:33

Title: Issue with Gradle on MacOS
Post by: markus on May 21, 2018, 22:23:33
I'm having trouble resolving dependencies on MacOS.  I have followed the instructions for setting up the build.gradle file. 

Code: [Select]
plugins {
    id 'groovy'
    id 'java'
}

apply plugin: 'idea'
apply plugin: 'java'
apply plugin: 'application'

group 'com.example'
version '1.0'

sourceCompatibility = 1.8

import org.gradle.internal.os.OperatingSystem

switch ( OperatingSystem.current() ) {
    case OperatingSystem.WINDOWS:
        project.ext.lwjglNatives = "natives-windows"
        break
    case OperatingSystem.LINUX:
        project.ext.lwjglNatives = "natives-linux"
        break
    case OperatingSystem.MAC_OS:
        project.ext.lwjglNatives = "natives-macos"
        break
}

repositories {
    mavenCentral()
}

dependencies {
    //----------LWJGL START----------//
    compile "org.lwjgl.osgi:lwjgl:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-assimp:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-bgfx:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-egl:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-glfw:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-jawt:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-jemalloc:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-lmdb:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-lz4:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-nanovg:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-nfd:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-nuklear:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-odbc:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-openal:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-opencl:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-opengl:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-opengles:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-openvr:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-ovr:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-par:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-remotery:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-rpmalloc:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-sse:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-stb:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-tinyexr:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-tinyfd:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-tootle:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-vulkan:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-xxhash:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-yoga:3.1.6"
    compile "org.lwjgl.osgi:lwjgl-zstd:3.1.6"
    compile "org.lwjgl.osgi:lwjgl:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-assimp:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-bgfx:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-glfw:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-jemalloc:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-lmdb:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-lz4:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-nanovg:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-nfd:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-nuklear:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-openal:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-opengl:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-opengles:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-openvr:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-ovr:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-par:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-remotery:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-rpmalloc:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-sse:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-stb:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-tinyexr:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-tinyfd:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-tootle:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-xxhash:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-yoga:3.1.6:$lwjglNatives"
    compile "org.lwjgl.osgi:lwjgl-zstd:3.1.6:$lwjglNatives"
    compile "org.joml:joml:1.9.9"
    compile "com.code-disaster.steamworks4j:steamworks4j:1.7.0"
    compile "com.code-disaster.steamworks4j:steamworks4j-server:1.7.0"
    //----------LWJGL END------------//

    compile 'org.codehaus.groovy:groovy-all:2.3.11'
    testCompile group: 'junit', name: 'junit', version: '4.12'
}

I am getting the following errors:

Code: [Select]
Executing task 'assemble'...

:compileJava FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Could not resolve all files for configuration ':compileClasspath'.
> Could not find org.lwjgl.osgi:lwjgl:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl/3.1.6/lwjgl-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl/3.1.6/lwjgl-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-assimp:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-assimp/3.1.6/lwjgl-assimp-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-assimp/3.1.6/lwjgl-assimp-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-bgfx:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-bgfx/3.1.6/lwjgl-bgfx-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-bgfx/3.1.6/lwjgl-bgfx-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-egl:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-egl/3.1.6/lwjgl-egl-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-egl/3.1.6/lwjgl-egl-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-glfw:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-glfw/3.1.6/lwjgl-glfw-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-glfw/3.1.6/lwjgl-glfw-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-jawt:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-jawt/3.1.6/lwjgl-jawt-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-jawt/3.1.6/lwjgl-jawt-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-jemalloc:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-jemalloc/3.1.6/lwjgl-jemalloc-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-jemalloc/3.1.6/lwjgl-jemalloc-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-lmdb:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-lmdb/3.1.6/lwjgl-lmdb-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-lmdb/3.1.6/lwjgl-lmdb-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-lz4:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-lz4/3.1.6/lwjgl-lz4-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-lz4/3.1.6/lwjgl-lz4-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-nanovg:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-nanovg/3.1.6/lwjgl-nanovg-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-nanovg/3.1.6/lwjgl-nanovg-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-nfd:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-nfd/3.1.6/lwjgl-nfd-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-nfd/3.1.6/lwjgl-nfd-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-nuklear:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-nuklear/3.1.6/lwjgl-nuklear-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-nuklear/3.1.6/lwjgl-nuklear-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-odbc:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-odbc/3.1.6/lwjgl-odbc-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-odbc/3.1.6/lwjgl-odbc-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-openal:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-openal/3.1.6/lwjgl-openal-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-openal/3.1.6/lwjgl-openal-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-opencl:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-opencl/3.1.6/lwjgl-opencl-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-opencl/3.1.6/lwjgl-opencl-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-opengl:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-opengl/3.1.6/lwjgl-opengl-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-opengl/3.1.6/lwjgl-opengl-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-opengles:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-opengles/3.1.6/lwjgl-opengles-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-opengles/3.1.6/lwjgl-opengles-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-openvr:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-openvr/3.1.6/lwjgl-openvr-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-openvr/3.1.6/lwjgl-openvr-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-ovr:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-ovr/3.1.6/lwjgl-ovr-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-ovr/3.1.6/lwjgl-ovr-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-par:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-par/3.1.6/lwjgl-par-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-par/3.1.6/lwjgl-par-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-remotery:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-remotery/3.1.6/lwjgl-remotery-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-remotery/3.1.6/lwjgl-remotery-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-rpmalloc:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-rpmalloc/3.1.6/lwjgl-rpmalloc-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-rpmalloc/3.1.6/lwjgl-rpmalloc-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-sse:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-sse/3.1.6/lwjgl-sse-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-sse/3.1.6/lwjgl-sse-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-stb:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-stb/3.1.6/lwjgl-stb-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-stb/3.1.6/lwjgl-stb-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-tinyexr:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-tinyexr/3.1.6/lwjgl-tinyexr-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-tinyexr/3.1.6/lwjgl-tinyexr-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-tinyfd:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-tinyfd/3.1.6/lwjgl-tinyfd-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-tinyfd/3.1.6/lwjgl-tinyfd-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-tootle:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-tootle/3.1.6/lwjgl-tootle-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-tootle/3.1.6/lwjgl-tootle-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-vulkan:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-vulkan/3.1.6/lwjgl-vulkan-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-vulkan/3.1.6/lwjgl-vulkan-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-xxhash:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-xxhash/3.1.6/lwjgl-xxhash-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-xxhash/3.1.6/lwjgl-xxhash-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-yoga:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-yoga/3.1.6/lwjgl-yoga-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-yoga/3.1.6/lwjgl-yoga-3.1.6.jar
  Required by:
      project :
> Could not find org.lwjgl.osgi:lwjgl-zstd:3.1.6.
  Searched in the following locations:
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-zstd/3.1.6/lwjgl-zstd-3.1.6.pom
      https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl-zstd/3.1.6/lwjgl-zstd-3.1.6.jar
  Required by:
      project :

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

BUILD FAILED in 2s
1 actionable task: 1 executed
Could not find org.lwjgl.osgi:lwjgl:3.1.6.
Searched in the following locations:
    https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl/3.1.6/lwjgl-3.1.6.pom
    https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl/3.1.6/lwjgl-3.1.6.jar
Required by:
    project :
3:00:46 PM: Task execution finished 'assemble'.

When I attempt to look at the files, (https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl/3.1.6/lwjgl-3.1.6.jar) I get a 404.

When I attempt to look at the files through the browser (https://www.lwjgl.org/browse) I get a 500 error.

It seems the whole https://repo.maven.apache.org/maven2/org/lwjgl/osgi/lwjgl directory is missing, since I can access https://repo.maven.apache.org/maven2/org/lwjgl/osgi and all the subdirectories, but not the /osgi/ directory.

Am I doing something wrong here?  My gradle build fails, and I can't seem to find the files to manually include in the IntelliJ project.  My HelloWorld.java file I copied from the github is not linking the required dependencies.

Title: Re: Issue with Gradle on MacOS
Post by: spasi on May 22, 2018, 00:12:26
Thanks for reporting this. Looks like the OSGi artifact IDs have an "org.lwjgl." prefix, which doesn't exist in the non-OSGi artifacts. For example, instead of:

Code: [Select]
compile "org.lwjgl.osgi:lwjgl:3.1.6"
you need to specify:

Code: [Select]
compile "org.lwjgl.osgi:org.lwjgl.lwjgl:3.1.6"
and it should be able to resolve the artifacts. I'll update the build customizer on the website to generate the correct ids when the OSGi mode is enabled.

When I attempt to look at the files through the browser (https://www.lwjgl.org/browse) I get a 500 error.

Where exactly do you get the 500 error? (note that the file browser does not contain any OSGi artifacts, you can get them from Maven Central only)
Title: Re: Issue with Gradle on MacOS
Post by: markus on May 22, 2018, 00:25:49
If you navigate to the MacOS section there is a server error.  The displayed error was the in attachments. 
Title: Re: Issue with Gradle on MacOS
Post by: spasi on May 22, 2018, 19:01:07
Both issues have been fixed:

- The generated scripts are now correct in OSGi mode.
- The file browser bug has been eliminated.

Thanks again!
Title: Re: Issue with Gradle on MacOS
Post by: markus on May 22, 2018, 19:05:02
I was able to get most of the dependencies and to compile and link them.

I used your advice and for the other ones I had to find their locations.

Code: [Select]
    compile "org.lwjgl.osgi:org.lwjgl.lwjgl:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.assimp:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.bgfx:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.egl:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.glfw:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.jawt:3.1.6"
    compile "org.lwjgl:lwjgl-jemalloc:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.lmdb:3.1.6"
    compile "org.lwjgl:lwjgl-lz4:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.nanovg:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.nfd:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.nuklear:3.1.6"
    compile "org.lwjgl:lwjgl-odbc:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.openal:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.opencl:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.opengl:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.opengles:3.1.6"
    compile "org.lwjgl:lwjgl-openvr:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.ovr:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.par:3.1.6"
    compile "org.lwjgl:lwjgl-remotery:3.1.6"
    compile "org.lwjgl:lwjgl-rpmalloc:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.sse:3.1.6"
    compile "org.lwjgl:lwjgl-stb:3.1.6"
    compile "org.lwjgl:lwjgl-tinyexr:3.1.6"
    //compile "org.lwjgl:lwjgl-inyfd:3.1.6"
    compile "org.lwjgl:lwjgl-tootle:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.vulkan:3.1.6"
    compile "org.lwjgl.osgi:org.lwjgl.xxhash:3.1.6"
    compile "org.lwjgl:lwjgl-yoga:3.1.6"
    compile "org.lwjgl:lwjgl-zstd:3.1.6"

I wasn't able to find the natives.  But for now the HelloWorld example seems to be working. 

Edit: Looks like it was fixed while I was writing this reply and the workaround is no longer needed.  Thanks for fixing the issue and thanks for the workaround.

Edit2: It works perfectly.  Everything was found, compiled and linked.